@echo off
rem
rem FIXACRO4.CMD - Placed in the Public Domain 2006 R L Walsh
rem
echo .
echo This will patch Acrobat Reader v4 so its plugin will load when LIBPATHSTRICT
echo is in effect.  This file and 'fixacro4.pat' MUST be in the same directory as
echo 'aros2.exe' (i.e. the directory where you installed Acrobat v4)
echo .
pause
echo .

:step1
if exist fixacro4.pat goto step2
echo Can't find file 'fixacro4.pat'
goto end

:step2
if exist aros2.exe goto step3
echo Can't find file 'aros2.exe'
goto end

:step3
if not exist aros2.bak goto step4
echo File 'aros2.bak' already exists - the original exe may already be patched.
echo If you continue, your current copy of 'aros2.exe' will NOT be backed up.
echo .
pause
echo .
goto step5

:step4
copy aros2.exe aros2.bak > NUL
if not errorlevel 1 goto step5
echo Unable to backup file 'aros2.exe'
goto end

:step5
patch fixacro4.pat /a

:end
echo .
pause